dots.v2.registries.optionsPath.get()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.registries.optionsPath.get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | OptionsGetResponse>Description
This endpoint serves to provide additional information as to which option values are available when creating a container registry.
There are multiple subscription tiers available for container registry. Each tier allows a different number of image repositories to be created in your registry, and has a different amount of storage and transfer included.
There are multiple regions available for container registry and controls where your data is stored.
To list the available options, send a GET request to /v2/registries/options. This is similar to GET /v2/registry/options.
Request Sample
Response Example
More Information
See /v2/registries/options in the API reference for additional detail on responses, headers, parameters, and more.